=== release 0.7.5 ===

2004-02-26  Thomas Vander Stichele  <thomas at apestaart dot org>

	* NEWS:
          instate NEWS file
	* Makefile.am:
	* gstreamer.spec.in:
	* RELEASE:
          put back release
	* configure.ac:
	* docs/random/release:
          more updates

2004-02-26  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gsttag.c: (_gst_tag_initialize):
	* po/fr.po:
	* po/nl.po:
          remove hyphen from codec tags

2004-02-26  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/parse/Makefile.am:
          fix dependency so that a make from a clean build works the first
          time

2004-02-26  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/random/release:
          update release strategy
	* po/fr.po:
          auto-update po file
	* po/nl.po:
          update dutch translation

2004-02-25  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/manual/debugging.xml:
        fix manual for new debugging system

2004-02-25  Andy Wingo  <wingo@pobox.com>

	* gst/gstpad.c (gst_pad_link_prepare): Re-add
	gst_pad_link_prepare. Please email the list with specific reasons
	for reverting.

2004-02-24  Andy Wingo  <wingo@pobox.com>

	* gst/gstelement.c (gst_element_dispose): Protect against multiple
	invocations.

	* gst/schedulers/gstoptimalscheduler.c:
	I added a mess of prototypes at the top of the file by way of
	documentation. Some of the operations on chains and groups were
	re-organized.

	(create_group): Added a type argument so if the group is enabled,
	the setup_group_scheduler knows what to do.
	(group_elements): Added a type argument here, too, to be passed on
	to create_group.
	(group_element_set_enabled): If an unlinked PLAYING element is
	added to a bin, we have to create a new group to hold the element,
	and this function will be called before the group is added to the
	chain. Thus we have a valid case for group->chain==NULL. Instead
	of calling chain_group_set_enabled, just set the flag on the group
	(the chain's status will be set when the group is added to it).
	(gst_opt_scheduler_state_transition, chain_group_set_enabled):
	Setup the group scheduler when the group is enabled, not
	specifically when an element goes PAUSED->PLAYING. This means
	PLAYING elements can be added, linked, and scheduled into a
	PLAYING pipeline, as was intended.
	(add_to_group): Don't ref the group twice. I don't know when this
	double-ref got in here. Removing it has the potential to cause
	segfaults if other parts of the scheduler are buggy. If you find
	that the scheduler is segfaulting for you, put in an extra ref
	here and see if that hacks over the underlying issue. Of course,
	then find out what code is unreffing a group it doesn't own...
	(create_group): Make the extra refcount floating, and remove it
	after adding the element. This means that...
	(unref_group): Destroy when the refcount reaches 0, not 1, like
	every other refcounted object in the known universe.
	(remove_from_group): When a group becomes empty, set it to be not
	active, and remove it from its chain. Don't unref it again,
	there's no floating reference any more.
	(destroy_group): We have to remove the group from the chain in
	remove_from_group (rather than here) to break refcounting cycles
	(the chain always has a ref on the group). So assert that
	group->chain==NULL.
	(ref_group_by_count): Removed, it was commented out anyway.
	(merge_chains): Use the remove_from_chain and add_to_chain
	primitives to do the reparenting, instead of rolling our own
	implementation.
	(add_to_chain): The first non-disabled group in the chain's group
	list will be the entry point for the chain. Because buffers can
	accumulate in loop elements' peer bufpens, we preferentially
	schedule loop groups before get groups to avoid unnecessary
	execution of get-based groups when the bufpens are already full.
	(gst_opt_scheduler_schedule_run_queue): Debug fixes.
	(get_group_schedule_function): Ditto.
	(loop_group_schedule_function): Ditto.
	(gst_opt_scheduler_loop_wrapper): Ditto.
	(gst_opt_scheduler_iterate): Ditto.

	I understand the opt scheduler now, yippee!

	* gst/gstpad.c: All throughout, added FIXMEs to look at for 0.9.
	(gst_pad_get_name, gst_pad_set_chain_function) 
	(gst_pad_set_get_function, gst_pad_set_event_function) 
	(gst_pad_set_event_mask_function, gst_pad_get_event_masks) 
	(gst_pad_get_event_masks_default, gst_pad_set_convert_function) 
	(gst_pad_set_query_function, gst_pad_get_query_types) 
	(gst_pad_get_query_types_default) 
	(gst_pad_set_internal_link_function) 
	(gst_pad_set_formats_function, gst_pad_set_link_function) 
	(gst_pad_set_fixate_function, gst_pad_set_getcaps_function) 
	(gst_pad_set_bufferalloc_function, gst_pad_unlink) 
	(gst_pad_renegotiate, gst_pad_set_parent, gst_pad_get_parent) 
	(gst_pad_add_ghost_pad, gst_pad_proxy_getcaps) 
	(gst_pad_proxy_pad_link, gst_pad_proxy_fixate) 
	(gst_pad_get_pad_template_caps, gst_pad_check_compatibility) 
	(gst_pad_get_peer, gst_pad_get_allowed_caps) 
	(gst_pad_alloc_buffer, gst_pad_push, gst_pad_pull) 
	(gst_pad_selectv, gst_pad_select, gst_pad_template_get_caps) 
	(gst_pad_event_default_dispatch, gst_pad_event_default) 
	(gst_pad_dispatcher, gst_pad_send_event, gst_pad_convert_default) 
	(gst_pad_convert, gst_pad_query_default, gst_pad_query) 
	(gst_pad_get_formats_default, gst_pad_get_formats): Better
	argument checks, and some doc fixes.

	(gst_pad_custom_new_from_template): Um, does anyone
	use these functions? Actually make a custom pad instead of a
	normal one.
	(gst_pad_try_set_caps): Transpose some checks.
	(gst_pad_try_set_caps_nonfixed): Same, and use a macro to check if
	the pad is in negotiation.
	(gst_pad_try_relink_filtered): Use pad_link_prepare.
	
	* gst/gstelement.c: Remove prototypes also defined in gstclock.h.

	* gst/gstelement.h: 
	* gst/gstclock.h: Un-deprecate the old clocking API, as discussed
	on the list.

2004-02-24  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gstbin.c: (gst_bin_add):
          add error for not being able to add elements

2004-02-22  Julien MOUTTE <julien@moutte.net>

	* gst/gsttag.c: (_gst_tag_initialize): Registering 2 new tags,
	audio-codec and video-codec.

2004-02-22  Benjamin Otte  <otte@gnome.org>

	reported by: Padraig O'Briain <padraig.obriain@sun.com>

	* autogen.sh:
	  replace test -e with test -x for mkinstalldirs to be more portable.
	  (fixes #134816)

2004-02-22  Benjamin Otte  <otte@gnome.org>

	* gst/gstpad.c:
	  revert last patch from Andy, it makes gst_pad_can_link_filtered much
	  too noisy
	* gst/gsttag.c: (_gst_tag_initialize):
	* gst/gsttag.h:
	  add GST_TAG_ALBUM_VOLUME_{COUNT,NUMBER}
	* libs/gst/control/dparam.c: (gst_dparam_attach):
	* libs/gst/control/dparammanager.c: (gst_dpman_attach_dparam):
	  check that types for attached dparams match

2004-02-22  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/elements/gstfilesink.c: (gst_filesink_open_file):
	* gst/elements/gstfilesrc.c: (gst_filesrc_open_file):
	* gst/elements/gstmultifilesrc.c: (gst_multifilesrc_open_file):
          fix errors

2004-02-20  Andy Wingo  <wingo@pobox.com>

	* gst/gstbin.c:
	* gst/gstbuffer.c:
	* gst/gstplugin.c:
	* gst/registries/gstxmlregistry.c: 
	* gst/schedulers/gstoptimalscheduler.c: Debugging tweaks.

	* gst/gstelement.c (gst_element_set_scheduler): Debugging fixes.
	(gst_element_add_pad): DEBUG->INFO, some fixes.
	(gst_element_get_compatible_pad_template): Just see if the
	templates' caps intersect, not if one is a strict subset of the
	other. This conforms more to what gst_pad_link_intersect() does.
	(gst_element_class_add_pad_template): Don't memcpy the pad
	template, just ref it.
	(gst_element_get_compatible_pad_filtered): Clean up debug messages

	* gst/gstpad.c (gst_pad_can_link_filtered): Debug a true result.
	(gst_pad_link_filtered): Debug changes.
	(gst_pad_link_prepare): New function, consolidated from
	can_link_filtered and link_filtered.

	* gst/parse/grammar.y (gst_parse_perform_link): Made INFO output
	look more like that of the functions in gstelement.c

	* gst/gstinfo.c (gst_debug_print_object): Put a space before the
	object, and return the empty string if object is NULL.

	* gst/parse/parse.l: Remove trailing newlines when calling PRINT.
	* gst/parse/grammar.y (YYFPRINTF): Log bison debugging info via
	LOG, not DEBUG. We still get flex info on debug.

	* gst/registries/gstxmlregistry.c (gst_xml_registry_load): Make
	debug string more verbose.
	(plugin_times_older_than): DEBUG->LOG.

2004-02-20  Julien MOUTTE <julien@moutte.net>

	* gst/gsttag.h: Adding video-codec and audio-codec for demuxers which
	will emit found_tag for each stream they demux with the codec.

2004-02-20  Benjamin Otte  <otte@gnome.org>

	* gst/gstevent.c: (_gst_event_copy), (_gst_event_free):
	  copy navigation event correctly. Check freeing tag lists. 
	* gst/gstthread.c: (gst_thread_change_state):
	  don't abort() on state changing mess - it might happen because of
	  bugs.
	* gst/gstvalue.c: (gst_value_set_caps), (gst_value_get_caps):
	  use boxed functions
	* gst/gstvalue.h:
	  fix GST_VALUE_HOLDS_CAPS

2004-02-19  David Schleef  <ds@schleef.org>

	* gst/gstinfo.h:  Copy G_STRFUNC implementation from glib-2.4
	and use it for GST_FUNCTION.  (bug #134750)

2004-02-19  Thomas Vander Stichele  <thomas at apestaart dot org>

	* po/fr.po:
	* po/nl.po:
          updating translations

2004-02-19  Thomas Vander Stichele  <thomas at apestaart dot org>

	* tools/gst-run.c: (get_candidates), (main): some fixes from jdahlin

2004-02-18  kost@imn.htwk-leipzig.de

	reviewed by: David Schleef  <ds@schleef.org>

	* docs/libs/gstreamer-libs-sections.txt:  Add missing sections
	for libgstcontrol.

2004-02-18  David Schleef  <ds@schleef.org>

	* libs/gst/control/dparam.c: (gst_dparam_class_init):
	* libs/gst/control/dparam_smooth.c: (gst_dpsmooth_class_init),
	(gst_dpsmooth_new): Additional fixes to get double dparams working.
	* tools/gst-inspect.c: (print_element_info): Support dumping of
	double dparam information.

2004-02-17  David Schleef  <ds@schleef.org>

	* gst/elements/gstmultifilesrc.c: (gst_multifilesrc_class_init):
	Use G_TYPE_STRING in signal prototype instead of G_TYPE_POINTER.
	* gst/elements/gsttypefind.c: (gst_type_find_element_class_init):
	Use GST_TYPE_CAPS in signal prototype.
	* gst/gstcaps.c: (_gst_caps_initialize), (gst_caps_copy_conditional):
	Convert GST_TYPE_CAPS to boxed.
	* gst/gstelement.c: (gst_element_class_init):
	Use GST_TYPE_TAG_LIST in signal prototype.
	* gst/gstindex.c: (gst_index_class_init):
	* gst/gstindex.h:
	Add GST_TYPE_INDEX_ENTRY type.
	* gst/gstmarshal.list:
	Add necessary marshal types.
	* gst/gstpad.c: (gst_real_pad_class_init),
	(_gst_real_pad_fixate_accumulator), (gst_pad_link_fixate),
	(gst_pad_recover_caps_error):
	Use GST_TYPE_CAPS in signal prototypes.  Fix some debugging strings.
	* gst/gststructure.c: (_gst_structure_initialize),
	(gst_structure_copy), (_gst_structure_copy_conditional):
	* gst/gststructure.h:
	Convert GST_TYPE_STRUCTURE to boxed.
	* gst/gsttag.c: (gst_tag_list_get_type):
	* gst/gsttag.h:
	Add GST_TYPE_TAG_LIST type.

2004-02-17  Julien MOUTTE  <julien@moutte.net>

	* gst/gstpad.c: (gst_pad_try_set_caps): Reverting my change according
	to what we agreed with david.
	* gst/gstpad.h: adding GST_PAD_IS_NEGOTIATING macro.

2004-02-17  Thomas Vander Stichele  <thomas at apestaart dot org>

	* po/nl.po: update translation

2004-02-17  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/autoplug/gstspider.c: (gst_spider_identity_plug):
	  throw an error if spider is trying to play a mime type there is
          no decoder for
	* po/POTFILES.in:
          add gst/autoplug/gstspider.c for translation

2004-02-17  Julien MOUTTE  <julien@moutte.net>

	* gst/gstpad.c: (gst_pad_try_set_caps): We are nice people. Return 
	silently when the pad is negotiating.

2004-02-16  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/faq/Makefile.am:
          add script to run gstreamer uninstalled 
	* docs/faq/faq.xml:
	* docs/faq/developing.xml:
	* docs/faq/gst-uninstalled:
          extract script to run gstreamer uninstalled
	* docs/manuals.mak:
          add EXTRA_SOURCES variable for Makefile.am's to set to
          use additional SOURCE files for the doc build

2004-02-16  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gstatomic_impl.h: Fedora 2 test package patch for S390

2004-02-15  Julien MOUTTE  <julien@moutte.net>

	* gst/gstbin.c: (gst_bin_change_state), (gst_bin_iterate): Fix a big
	bug that was breaking pipelines like sinesrc ! { queue ! osssink } when
	an error was thrown by osssink. Basically a state change failure for
	an element in a different scheduling group was considered as
        successful, which means that caps nego was going on and weird stuff
        happened. Like I wrote in the comment there, if someone wants to
        revert that please drop me a mail explaining why because I really see
        no point in keeping that broken behaviour there.
	* gst/gstqueue.c: (gst_queue_get): Add a safety check as the queue CAN
	be empty, we then return NULL which will trigger a nice error when 
	pulling from the pad.

2004-02-13  David Schleef  <ds@schleef.org>

	* libs/gst/control/dparam.c: (gst_dparam_class_init),
	(gst_dparam_get_property), (gst_dparam_set_property),
	(gst_dparam_do_update_default):
	* libs/gst/control/dparam.h:
	* libs/gst/control/dparam_smooth.c: (gst_dpsmooth_class_init),
	(gst_dpsmooth_new), (gst_dpsmooth_set_property),
	(gst_dpsmooth_get_property), (gst_dpsmooth_value_changed_double),
	(gst_dpsmooth_do_update_double):
	* libs/gst/control/dparam_smooth.h:
	* libs/gst/control/dparammanager.c:
	(gst_dpman_inline_direct_update):
	Add support for double dparams.

2004-02-13  David Schleef  <ds@schleef.org>

	* gst/elements/gstfdsrc.c: (gst_fdsrc_get): Use GST_TIME_TO_TIMEVAL()
	* gst/gstclock.h: Avoid using 64-bit % operator (slow!)

2004-02-13  Mattias Wadman  <mattias@sudac.org>

	reviewed by: David Schleef  <ds@schleef.org>

	* gst/elements/gstfdsrc.c: (gst_fdsrc_class_init),
	(gst_fdsrc_init), (gst_fdsrc_set_property),
	(gst_fdsrc_get_property), (gst_fdsrc_get):
	* gst/elements/gstfdsrc.h:  Adds timeout property to fdsrc,
	and sends an EOS event if file descriptor reading times out.

2004-02-13  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
          add calls to AM_CONDITIONAL for subsystems for automake 1.6.x

2004-02-13  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac: pass required libxml version as argument
	(bug reported by Christophe Fergeau)

2004-02-12  Thomas Vander Stichele  <thomas at apestaart dot org>
  
	* docs/gst/gstreamer-docs.sgml:
	* docs/gst/tmpl/gstxml.sgml:
	* docs/libs/gstreamer-libs-docs.sgml:
          version API docs

2004-02-12  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gstinfo.c:
	* gst/gstregistrypool.c: (gst_registry_pool_plugin_filter),
	(gst_registry_pool_feature_filter):
	* gst/gstthread.c: (gst_thread_class_init):
	* gst/gstvalue.c:
          add includes exposed by building without libxml
	* gst/indexers/Makefile.am:
          do not build fileindex when LOADSAVE disabled; we should have
          a better libxml check later since fileindex depends on xml, not
          LOADSAVE or REGISTRY
	* libs/gst/control/Makefile.am:
          link with m
	* tools/Makefile.am:
          fix wrong source code for gst-xmlinspect

2004-02-12  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
          fix gcov help output
          move calls to and use new GST_CHECK_DISABLE_SUBSYSTEM
	* docs/random/release:
          some updated releasing notes
	* gstreamer.spec.in:
          more updates

2004-02-12  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/faq/faq.xml:
	* docs/manual/manual.xml:
	* docs/pwg/pwg.xml:
	* docs/pwg/titlepage.xml:
          put version in documentation

2004-02-12  Thomas Vander Stichele  <thomas at apestaart dot org>

	* tools/Makefile.am: fix man page installation

2004-02-12  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	  don't check for libxml when load/save and registry disabled (#105844)
	* gstreamer.spec.in:
          sync with fedora candidate spec

2004-02-12  Thomas Vander Stichele  <thomas at apestaart dot org>

	* po/fr.po:
	* po/nl.po:
          replace multidisksrc with multifilesrc

2004-02-11  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* po/POTFILES.in:
	  update to multidisksrc => multifilesrc file renaming (#134145)

2004-02-11  David Schleef  <ds@schleef.org>

	* docs/gst/tmpl/gstcaps.sgml:  Fix stuff that mentions GstProps
	* docs/gst/tmpl/gstpadtemplate.sgml: same
	* docs/gst/tmpl/gstreamer-unused.sgml: Remove GstProps
	* gst/gstobject.c: (gst_object_set_name_default): Do the memleak
	fixing dance.
	* gst/gstutils.c: Remove disabled code that uses GstProps.
	* gst/registries/gstxmlregistry.h: same
	* docs/random/ds/0.9-suggested-changes: random notes

2004-02-11  kost@imn.htwk-leipzig.de

	reviewed by: David Schleef  <ds@schleef.org>

	* gst/gstclock.c: (gst_clock_entry_new): fixes structure
	initialisation of clock (bug #134128)

2004-02-11  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	* gst/elements/Makefile.am:
	* gst/elements/gstelements.c:
	* gst/elements/gstmultifilesrc.c: (gst_multifilesrc_base_init),
	(gst_multifilesrc_class_init), (gst_multifilesrc_init),
	(gst_multifilesrc_set_property), (gst_multifilesrc_get_property),
	(gst_multifilesrc_get), (gst_multifilesrc_open_file),
	(gst_multifilesrc_close_file), (gst_multifilesrc_change_state):
	* gst/elements/gstmultifilesrc.h:
          rename multidisksrc to multifilesrc (part of #122200)

2004-02-11  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/manuals.mak:
          fix automake complaints
	* gst-element-check.m4:
          fix unquotedness

2004-02-11  David Schleef  <ds@schleef.org>

	* docs/gst/Makefile.am: Call gst_init() in built gstreamer-scan.
	* gst/gstatomic_impl.h: Disable sparc implementation.

2004-02-11  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst-element-check.m4:
          fix underquoted macros as reported by automake 1.8.x (#133800)
	* configure.ac:
          require gettext 0.11.5 so ulonglong.m4 gets checked out and copied
          by autopoint (fixes #132996)

2004-02-10  Andy Wingo  <wingo@pobox.com>

	* gst/gstpad.c (gst_pad_custom_new): Add a FIXME, this is a hacky
	way to do inheritance.
	(gst_pad_get_event_masks, gst_pad_get_event_masks_default) 
	(gst_pad_get_query_types, gst_pad_get_query_types_default):
	Routine docs.
	(gst_pad_set_link_function, gst_pad_set_fixate_function) 
	(gst_pad_set_getcaps_function): Doc from Dave's negotation random
	doc.
	(gst_pad_unlink, gst_pad_is_linked): Docs.
	(gst_pad_renegotiate): A brief description of capsnego.
	(gst_pad_try_set_caps): Document.
	(gst_pad_try_set_caps_nonfixed): Document.
	(gst_pad_can_link_filtered, gst_pad_link_filtered): Doc fixes.
	(gst_pad_set_parent): Deprecated (although not out of the API).
	(gst_pad_get_parent): Deprecated, although many plugins use this.
	(gst_pad_add_ghost_pad, gst_pad_remove_ghost_pad): Doc that these
	are private and will go away in 0.9.
	(gst_pad_perform_negotiate): Doc.
	(gst_pad_link_unnegotiate): I think this is meant to be static.
	(gst_pad_get_negotiated_caps, gst_pad_get_pad_template_caps) 
	(gst_pad_template_get_caps_by_name, gst_pad_check_compatibility) 
	(gst_pad_get_peer): Doc updates.
	(gst_pad_caps_change_notify): Doc.
	(gst_pad_alloc_buffer, gst_pad_push, gst_static_pad_template_get) 
	(gst_ghost_pad_new): Doc fixes.

	* gst/gstobject.c (gst_object_get_parent, gst_object_unparent) 
	(gst_object_check_uniqueness): 

	* gst/gstelement.c (gst_element_add_pad) 
	(gst_element_add_ghost_pad, gst_element_remove_pad) 
	(gst_element_remove_ghost_pad, gst_element_get_pad) 
	(gst_element_get_static_pad, gst_element_get_pad_list) 
	(gst_element_class_get_pad_template_list) 
	(gst_element_class_get_pad_template): Work on the docs.
	(gst_element_get_pad_template_list): Uses the class method.
	(gst_element_get_compatible_pad_template): Docs, and consolidate
	some test conditions. 
	(gst_element_get_pad_from_template): New static function.
	(gst_element_request_compatible_pad): Docs, and work with
	non-request compatible templates. 
	(gst_element_get_compatible_pad_filtered): Docs and remove
	redundant checks.
	(gst_element_get_compatible_pad, gst_element_link_pads_filtered) 
	(gst_element_link_filtered, gst_element_link_many) 
	(gst_element_link, gst_element_link_pads) 
	(gst_element_unlink_many): Docs.

2004-02-05  Andy Wingo  <wingo@pobox.com>

	* gst/gstpad.c (_gst_real_pad_fixate_accumulator):
	s/pointer/boxed/.

	* gst/gstmarshal.list (VOID:BOXED, BOXED:BOXED): New marshallers.

	* gst/gstpad.c (gst_real_pad_class_init): Use a BOXED:BOXED
	marshaller for ::fixate, and VOID:BOXED for ::caps-nego-failed,
	with the type=GST_TYPE_CAPS. This allows language bindings to know
	what kind of data they're dealing with.

	* gst/gstcaps.c (_gst_caps_value_init): GBoxed values initialize
	to NULL when g_value_init is called. GstCaps, which rolls its own
	type implementation, now does the same instead of allocating empty
	caps.
	(_gst_caps_initialize, _gst_caps_collect_value,
	_gst_caps_lcopy_value): Provide collect_value and lcopy_value type
	table methods. This allows G_VALUE_COLLECT to work.

2004-02-05  Andy Wingo  <wingo@pobox.com>

	* configure.ac:
	* testsuite/Makefile.am (SUBDIRS): 
	* testsuite/ghostpads/Makefile.am: 
	* testsuite/ghostpads/ghostpads.c: A new test for ghost pads.

	* gst/gstpad.c (gst_pad_add_ghost_pad, gst_pad_remove_ghost_pad):
	These two routines are the only ones that set
	GST_GPAD_REALPAD(gpad), the ghost pad list, and the ghost pad's
	pad template. They should be made static, depending on ABI needs.
	(gst_real_pad_dispose): Handle the case of ghost pads without a
	parent. Assert after dealing with ghost pads that the ghost pad
	list is empty.
	(gst_ghost_pad_class_init): New property added, ::real-pad. Can be
	set after creation.
	(gst_ghost_pad_dispose): Set ::real-pad to NULL.
	(gst_ghost_pad_set_property, gst_ghost_pad_get_property): New
	functions. set_property will call add_ghost_pad/remove_ghost_pad
	as appropriate.
	(gst_ghost_pad_new): All the work is offloaded to g_object_new.

	* gst/gstelement.c (gst_element_add_pad): Handle ghost pads as well.
	(gst_element_add_ghost_pad): Remove code duplicated from _add_pad.
	(gst_element_remove_pad): Handle ghost pads as well.
	(gst_element_remove_ghost_pad): Deprecated (could be removed,
	depending on API-stability needs).

2004-02-05  Andy Wingo  <wingo@pobox.com>

	* gst/gstbin.[ch]: (gst_bin_get_by_interface): GTypes are scalars,
	of course they're const

2004-02-11  Thomas Vander Stichele  <thomas at apestaart dot org>

	* tools/Makefile.am:
	* tools/gst-feedback:
	* tools/gst-feedback-0.7:
          make gst-feedback versioned too for consistency

2004-02-11  David Schleef  <ds@schleef.org>

	* gst/gstpad.c: (gst_pad_link_intersect), (gst_pad_link_fixate),
	(gst_pad_try_set_caps): Fix format strings for GST_PTR_FORMAT.

2004-02-10  Julien MOUTTE <julien@moutte.net>

	* gst/gstevent.c: (_gst_event_free): Sometimes a tag event arrives but
	the structure does not contain a valid tag list. Adding a safety check
	to remove a noisy warning in that case.

2004-02-10  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gst.c: fix name to be in line with others

2004-02-09  Julien MOUTTE <julien@moutte.net>

	* libs/gst/bytestream/bytestream.c: (gst_bytestream_peek): We should
	not shout that loud when len is 0. Just return 0 silently.

2004-02-09  Julien MOUTTE  <julien@moutte.net>

	* gst/gstdata.c: (gst_data_ref): Adding a categorized debug on data_ref
	because data_unref has one and I prefer the debug to be symetric.
	* gst/gstqueue.c: (gst_queue_locked_flush): Fix a huge memleak. Buffers
	were refed when added to the queue and unrefed only once when the queue
	was flushed. Now the flush handler unref the buffers two times : first
	unref for the ref added when pushing in the queue's tail and second
	unref to destroy the flushed buffer.

2004-02-08  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/pwg/building-boiler.xml: fix cvs checkout documentation

2004-02-06  David Schleef  <ds@schleef.org>

	* docs/random/ds/0.9-suggested-changes: Random ramblings
	* gst/elements/gstfilesrc.c: (gst_filesrc_get_mmap): Cast size_t
	to int before printing.
	* gst/parse/grammar.y: Fix gcc-2.95 style variadic macros.
	* gst/parse/parse.l: same.  See bug #129600

2004-02-06  David Schleef  <ds@schleef.org>

	* gst/gstindex.c: (gst_index_add_format), (gst_index_add_id),
	(gst_index_add_entry), (gst_index_add_associationv),
	(gst_index_add_association): Add gst_index_add_associationv()
	and clean up gst_index_add_association(). #127133

2004-02-06  Thomas Vander Stichele  <thomas at apestaart dot org>

	* autogen.sh: check out common with right tag if CVS/Tag exists

2004-02-06  Thomas Vander Stichele  <thomas at apestaart dot org>

	* testsuite/ghostpads/ghostpads.c: (main):
          fix testsuite from segfaulting

2004-02-06  Thomas Vander Stichele  <thomas at apestaart dot org>

	* Makefile.am: add release target
	* configure.ac: bump nano to 1
	* docs/random/release:

2004-02-06  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/gstcaps.h:
	* gst/gstelement.c: (gst_element_base_class_init),
	(gst_element_class_set_details), (gst_element_clear_pad_caps):
	* gst/gstpad.c: (gst_pad_link_intersect), (gst_pad_link_fixate),
	(gst_pad_try_set_caps), (gst_pad_can_link_filtered),
	(gst_real_pad_dispose):
	* gst/gststructure.c: (gst_structure_free),
	(gst_structure_from_string):
	  put reverted patch back in
	* gst/gstelement.c: (gst_element_remove_pad):
	  free explicit caps if they're set
	* gst/gstpad.c: (_gst_pad_default_fixate_func):
	  copy the structure when fixating

2004-02-05  David Schleef  <ds@schleef.org>

	* gst/gstmarshal.list:
	* gst/gstpad.c: (gst_real_pad_class_init),
	(_gst_real_pad_fixate_accumulator):
	Revert POINTER->BOXED change in signal marshaller.

=== gstreamer 0.7.4 ===
                                                                                
2004-02-06  Thomas Vander Stichele  <thomas at apestaart dot org>
                                                                                
        * NEWS: GStreamer 0.7.4 "Wooden Eels" released
        * configure.ac: changed for release

2004-02-05  Thomas Vander Stichele  <thomas (at) apestaart (dot) org>

	* gstreamer.spec.in:
          bump required version of gtk-doc

2004-02-05  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gstcaps.h:
	* gst/gstelement.c: (gst_element_base_class_init),
	(gst_element_class_set_details), (gst_element_clear_pad_caps):
	* gst/gstpad.c: (gst_pad_link_intersect), (gst_pad_link_fixate),
	(gst_pad_try_set_caps), (gst_pad_can_link_filtered),
	(gst_real_pad_dispose):
	* gst/gststructure.c: (gst_structure_free),
	(gst_structure_from_string):
          revert patch that breaks applications, reapply after release
          to get this fixed properly

2004-02-05  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/gsttag.c: (_gst_tag_initialize):
	* gst/gsttag.h:
	  remove duplicated field GST_TAG_APPLICATION. It's GST_TAG_ENCODER

2004-02-04  David Schleef  <ds@schleef.org>

	Fix some memleaks:
	* gst/autoplug/gstspider.c: (gst_spider_request_new_pad),
	(gst_spider_plug_from_srcpad):
	* gst/autoplug/gstspideridentity.c: (gst_spider_identity_link):

2004-02-04  David Schleef  <ds@schleef.org>

	* gst/gstelement.c: (gst_element_clear_pad_caps): Make sure we have
	a GstRealPad before accessing its structure members.

2004-02-04  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/gstclock.c: (gst_clock_init), (gst_clock_set_speed),
	(gst_clock_get_speed):
	* gst/gstclock.h:
	  reset padding, remove unused fields

2004-02-04  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/autoplug/gstspideridentity.c:
	(gst_spider_identity_sink_loop_type_finding):
	  use get_allowed_caps, not get_caps (fixes #132519)
	* gst/elements/gsttypefind.c: (stop_typefinding):
	  use correct order when sending buffers and seeking

2004-02-04  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	* gst/gstelement.h:
	* gst/gstpad.h:
	* gst/gstqueue.h:
          upgrade libtool CURRENT, reset padding

2004-02-04  Thomas Vander Stichele  <thomas at apestaart dot org>

        * configure.ac:
          bump to prerelease
          put back AM_PROG_LIBTOOL to make libtoolize stop complaining

2004-02-04  David Schleef  <ds@schleef.org>

	* docs/random/ds/0.9-suggested-changes: random notes
	* gst/elements/gstfakesrc.c: (gst_fakesrc_get_formats),
	(gst_fakesrc_get_query_types), (gst_fakesrc_get_event_mask):
	Replace GST_PAD_EVENT_MASK_FUNCTION() (et al.) with its
	expansion.
	* gst/elements/gstfilesink.c: (gst_filesink_get_formats),
	(gst_filesink_get_query_types): same
	* gst/elements/gstfilesrc.c: (gst_filesrc_get_event_mask),
	(gst_filesrc_get_query_types), (gst_filesrc_get_formats): same
	* gst/gstcaps.h: deprecate GST_DEBUG_CAPS(), and fix the macro
	to use new GST_PTR_FORMAT.
	* gst/gstelement.h: deprecate function factory macros
	GST_ELEMENT_QUERY_TYPE_FUNCTION(), GST_ELEMENT_EVENT_MASK_FUNCTION().
	These are our last variadic macros that can't be replaced with
	inlines.  Celebrate!  Also fix a typo in an #ifdef that was
	attempting to deprecate gst_element_clock_wait().
	* gst/gstevent.h: same
	* gst/gstpad.c: (gst_pad_link_intersect), (gst_pad_link_fixate),
	(gst_pad_try_set_caps): replace GST_DEBUG_CAPS() with GST_DEBUG()
	* gst/gstpad.h: deprecate function factory macros similar to above.

2004-02-04  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	* tools/Makefile.am:
	* tools/gst-run.c: (popt_callback), (hash_print_key),
	(find_highest_version), (unmangle_libtool), (get_dir_of_binary),
	(get_candidates), (main):
          add new source file to generate non-versioned wrapper binaries
          for our tools.

2004-02-04  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/gstevent.c: (_gst_event_free):
	  actually break; inside the switch statement
	* gst/parse/grammar.y:
	  fix memleak where GValues weren't unset

2004-02-03  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/gststructure.c: (gst_structure_from_string):
	  fix huge memleak
	* gst/elements/gsttypefind.c: (gst_type_find_element_have_type),
	(new_entry), (gst_type_find_element_chain):
	* gst/gstelement.c: (gst_element_base_class_init),
	(gst_element_class_set_details):
	* gst/gstpad.c: (gst_pad_can_link_filtered):
	  fix smaller memleaks
	* gst/gstpad.c: (gst_real_pad_dispose):
	  check that explicit caps are gone
	* gst/gststructure.c: (gst_structure_free):
	  actually free the structure
	* gst/gstelement.c: (gst_element_clear_pad_caps):
	  unset explicit caps

2004-02-03  Thomas Vander Stichele  <thomas at apestaart dot org>

	* tools/Makefile.am:
	  use AM_CFLAGS since all the CFLAGS are the same
	  use AM_LDFAGS

2004-02-03  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/manual/gnome.xml:
          expand example a little
	* gst/gst.c: (gst_init_with_popt_table),
	(gst_init_check_with_popt_table), (init_pre), (init_popt_callback):
          make sure popt option displays are done with right textdomain
          use GstPoptOption type
	* gst/gst.h:
          create GstPoptOption type

2004-02-03  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gsterror.c: (_gst_stream_errors_init):
	* gst/gsterror.h:
          adding error type for no codec
	* po/POTFILES.in:
          add gst-inspect
	* po/nl.po:
          update dutch translation
	* tools/gst-inspect.c: (print_element_list), (main):
          do proper internationalization
	* tools/gst-launch.c: (idle_func):
          remove commented out function call

2004-02-03  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/README:
          add some error fixing notes
	* docs/gst/gstreamer-sections.txt:
          remove double entries
	* docs/gst/tmpl/gstbin.sgml:
	* docs/gst/tmpl/gstclock.sgml:
          remove override
	* docs/gst/tmpl/gstelement.sgml:
	* docs/gst/tmpl/gstindex.sgml:
	* docs/gst/tmpl/gstobject.sgml:
	* docs/gst/tmpl/gstpadtemplate.sgml:
	* docs/gst/tmpl/gstreamer-unused.sgml:
	* docs/gst/tmpl/gsttag.sgml:
	* docs/gst/tmpl/gstthread.sgml:
	* docs/gst/tmpl/gstxml.sgml:
	* gst/gsttag.h:
          sync header prototypes with c decls
	* gst/gsttaginterface.c:
          fix doc headers

2004-02-03  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/parse/Makefile.am:
	* gst/gstobject.h:
	  get rid of gstmarshal.h dependency. It's not needed.
	* gst/gst.h:
	* gst/elements/gstfakesink.c:
	* gst/elements/gstfakesrc.c:
	* gst/elements/gstidentity.c:
	* gst/gstbin.c:
	* gst/gstelement.c:
	* gst/gstindex.c:
	* gst/gstobject.c:
	* gst/gstpad.c:
	* gst/gstthread.c:
	* gst/gstxml.c:
	* libs/gst/control/dparam.c:
	* libs/gst/control/dparammanager.c:
	  include gstmarshal.h.
	Fixes #132045

2004-02-03  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/elements/gstfilesrc.c: (gst_filesrc_init),
	(gst_filesrc_dispose), (gst_filesrc_free_parent_mmap),
	(gst_filesrc_map_region), (gst_filesrc_get_mmap):
	* gst/elements/gstfilesrc.h:
	  don't ref the filesrc when creating mmaped buffers. Don't keep a
	  list of not-yet-destroyed buffers.
	* gst/gstbuffer.h:
	  Deprecated BST_BUFFER_FREE_FUNC and GST_BUFFER_COPY_FUNC

2004-02-02  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gst.c: (init_pre):
          remove textdomain

2004-02-02  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* docs/pwg/advanced-events.xml:
	* docs/pwg/advanced-scheduling.xml:
	* docs/pwg/intro-basics.xml:
	* docs/pwg/other-manager.xml:
	* docs/pwg/other-nton.xml:
	* docs/pwg/other-ntoone.xml:
	* docs/pwg/other-oneton.xml:
	* docs/pwg/pwg.xml:
	  All sort of documentation... Forgot what. Point is that I want this
	  in before I leave. The 'other-*' will be the last section and will
	  explain issues specific to these type of elements.

2004-02-02  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/elements/gstfilesrc.c: (gst_filesrc_map_region),
	(gst_filesrc_get_read):
	  set all the values on buffers that we can

2004-02-02  David Schleef  <ds@schleef.org>

	Change usage of isblah() to g_ascii_isblah() to be more locale
	independent.  (#133076)
	* gst/gsturi.c: (gst_uri_protocol_check_internal):
	* gst/gstutils.c:
	* gst/parse/parse.l:

2004-02-02  Jon Trowbridge  <trow@gnu.org>

	reviewed by: David Schleef  <ds@schleef.org>

	Fix memory leaks:
	* gst/gstcaps.c: (gst_caps_to_string):
	* gst/registries/gstxmlregistry.c:
	(gst_xml_registry_add_path_list_func),
	(gst_xml_registry_parse_padtemplate):

2004-02-02  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gstelement.c: (gst_element_default_error):
          suffix error messages with period

2004-01-31  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/elements/gstfilesrc.c: (gst_filesrc_open_file):
	* gst/elements/gstmultidisksrc.c: (gst_multidisksrc_open_file):
	* gst/gsterror.c: (gst_error_get_message):
          Suffix with dots
	* po/fr.po:
	* po/nl.po:
          Update translation files

2004-01-31  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/autoplug/gstspideridentity.c:
	(gst_spider_identity_sink_loop_type_finding):
	* gst/elements/gstfakesink.c: (gst_fakesink_change_state):
	* gst/elements/gstfilesink.c: (gst_filesink_open_file),
	(gst_filesink_close_file), (gst_filesink_handle_event),
	(gst_filesink_chain):
	* gst/elements/gstfilesrc.c: (gst_filesrc_map_region),
	(gst_filesrc_get_read), (gst_filesrc_open_file):
	* gst/elements/gstidentity.c: (gst_identity_chain):
	* gst/elements/gstmultidisksrc.c: (gst_multidisksrc_open_file):
	* gst/elements/gstpipefilter.c: (gst_pipefilter_get),
	(gst_pipefilter_chain), (gst_pipefilter_open_file):
	* gst/elements/gsttypefind.c: (gst_type_find_element_chain):
	* gst/gsterror.c: (_gst_core_errors_init),
	(_gst_library_errors_init), (_gst_resource_errors_init),
	(_gst_stream_errors_init), (gst_error_get_message):
	* gst/gstpad.c: (gst_pad_set_explicit_caps),
	(gst_pad_recover_caps_error), (gst_pad_pull):
	* gst/gstqueue.c: (gst_queue_chain), (gst_queue_get):
	* gst/schedulers/gstbasicscheduler.c:
	(gst_basic_scheduler_chainhandler_proxy),
	(gst_basic_scheduler_gethandler_proxy),
	(gst_basic_scheduler_cothreaded_chain):
          Suffix error messages with period.
          Use (NULL) instead of NULL

2004-01-31  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/gst/tmpl/gstelement.sgml:
	* docs/gst/tmpl/gstxml.sgml:
	* gst/gstelement.c: (gst_element_error_full):
          add element path to error

2004-01-31  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* docs/random/mimetypes:
	  update raw int/float info
	* gst/gsttag.c: (_gst_tag_initialize):
	* gst/gsttag.h:
	  add GST_TAG_ENCODER

2004-01-30  David Schleef  <ds@schleef.org>

	* gst/cothreads.c: Add another fallback if MAP_ANONYMOUS is
	  missing (#132991)

2004-01-30  Laurent Vivier <Laurent.Vivier@bull.net>

	reviewed by Benjamin Otte 
	  parts of the patch submitted in bug #113913

	* configure.ac:
	  use AC_C_INLINE. Use = instead of == with test
	* examples/plugins/example.c:
	* gst/autoplug/gstspideridentity.c:
	* gst/elements/gstfdsrc.c:
	* gst/elements/gstfilesrc.c:
	* gst/elements/gstidentity.c:
	* gst/elements/gstmultidisksrc.c:
	* gst/elements/gststatistics.c:
	* gst/gstelement.c:
	* gst/gstobject.c:
	* gst/gstpad.c:
	* gst/gstpipeline.c:
	* gst/gstthread.c:
	  don't end enums with a comma
	* gst/gstindex.c: (gst_index_compare_func):
	  do explicit casting to gint
	* gst/gsttrace.c: (gst_trace_text_flush):
	  #define strsize as a macro

2004-01-30  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/README:
	* docs/gst/gstreamer-docs.sgml:
	* docs/gst/gstreamer-sections.txt:
	* docs/gst/tmpl/gstelement.sgml:
	* docs/gst/tmpl/gsterror.sgml:
	* docs/gst/tmpl/gstinterface.sgml:
	* docs/gst/tmpl/gstreamer-unused.sgml:
	* docs/gst/tmpl/gststructure.sgml:
	* docs/gst/tmpl/gsttag.sgml:
	* docs/gst/tmpl/gsttaginterface.sgml:
	* docs/gst/tmpl/gstvalue.sgml:
	make sure all API ends up in the built docs
	* gst/gstinterface.c:
	* gst/gststructure.c: (gst_structure_id_set_value),
	(gst_structure_set_value), (gst_structure_id_get_value):
	* gst/gststructure.h:
	* gst/gstvalue.h:
        sync .h with .c declarations

2004-01-30  Julien Moutte  <julien@moutte.net>

	* libs/gst/bytestream/bytestream.c: Reverting my event handling patch.
	Ronald will fix riffread.

2004-01-30  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* docs/pwg/advanced-interfaces.xml:
	  Added tuner interface docs.

2004-01-30  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* docs/random/mimetypes:
	  correct Theora information
	* gst/gstelement.h:
	  make GST_ELEMENT_ERROR do a GST_ERROR_OBJECT

2004-01-29  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gstelement.c: (gst_element_error_full):
	* gst/gstelement.h:
          GST_ELEMENT_ERROR in enum -> _IN_ERROR

2004-01-29  Julien MOUTTE  <julien@moutte.net>

	* gst/elements/gstfilesrc.c: (gst_filesrc_get),
	(gst_filesrc_uri_handler_init): Fixing seeking by making FLUSH happen
	again and even before DISCONT.
	* gst/gstpad.c: (gst_pad_event_default): Remove a unused switch case.
	* libs/gst/bytestream/bytestream.c: (gst_bytestream_get_next_buf): Fix
	bytestream so that it's not stopping to fill the bytestream if events
	different than EOS or DISCONT are received. Instead it process them so
	that they go downstream.

2004-01-29  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/gst/tmpl/gstelement.sgml:
	* docs/gst/tmpl/gstreamer-unused.sgml:
	* docs/gst/tmpl/gstxml.sgml:
	* gst/autoplug/gstspideridentity.c:
	(gst_spider_identity_sink_loop_type_finding):
	* gst/elements/gstfakesink.c: (gst_fakesink_change_state):
	* gst/elements/gstfilesink.c: (gst_filesink_open_file),
	(gst_filesink_close_file), (gst_filesink_handle_event),
	(gst_filesink_chain):
	* gst/elements/gstfilesrc.c: (gst_filesrc_map_region),
	(gst_filesrc_get_read), (gst_filesrc_open_file):
	* gst/elements/gstidentity.c: (gst_identity_chain):
	* gst/elements/gstmultidisksrc.c: (gst_multidisksrc_open_file):
	* gst/elements/gstpipefilter.c: (gst_pipefilter_get),
	(gst_pipefilter_chain), (gst_pipefilter_open_file):
	* gst/elements/gsttypefind.c: (gst_type_find_element_chain):
	* gst/gstelement.h:
	* gst/gstpad.c: (gst_pad_set_explicit_caps),
	(gst_pad_recover_caps_error), (gst_pad_pull):
	* gst/gstqueue.c: (gst_queue_chain), (gst_queue_get):
	* gst/schedulers/gstbasicscheduler.c:
	(gst_basic_scheduler_chainhandler_proxy),
	(gst_basic_scheduler_gethandler_proxy),
	(gst_basic_scheduler_cothreaded_chain):
          gst_element_error -> GST_ELEMENT_ERROR

2004-01-29  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/Makefile.am:
	* docs/gst/tmpl/gstelement.sgml:
	* docs/gst/tmpl/gstxml.sgml:
	* docs/manuals.mak:
	* docs/pwg/advanced-request.xml:
	* docs/pwg/advanced-scheduling.xml:
	* docs/pwg/advanced-tagging.xml:
          fix non-validating docbook using CDATA
          make sure make check-local gets run first to check if it validates

2004-01-29  Julien MOUTTE <julien@moutte.net>

	* docs/pwg/advanced-events.xml: Adding documentation on advanced event
	handling (up and downstream).
	* docs/pwg/advanced-interfaces.xml: Make it coherent with the
	my_filter thing.

2004-01-29  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* docs/pwg/advanced-tagging.xml:
	  Add docs about tag writing.

2004-01-29  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* docs/pwg/advanced-tagging.xml:
	  Add a part about tag reading and application signalling... Tag
	  writing still needs to be documented.
	* gst/elements/gstfilesrc.c: (gst_filesrc_set_location):
	  We can set file locations in READY, too.

2004-01-29  Julien MOUTTE <julien@moutte.net>

	* docs/random/ds/element-checklist: Adding some notes about src
	events.

2004-01-29  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* docs/random/mimetypes:
	  Update docs to point to correct elements for various mimetypes, and
	  some more errors pointed out by Stéphane LOEUILLET (aka LeRoutier)
	  <stephane.loeuillet@tiscali.fr>.

2004-01-28  David Schleef  <ds@schleef.org>

	* docs/pwg/intro-basics.xml: rewrite bufferpool stuff.

2004-01-29  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* docs/random/mimetypes:
	  update docs for audio/x-raw-float. Add "buffer-frames=0 means
	  undefined"
	* gst/elements/gstfilesrc.c: (gst_filesrc_set_location):
	  make it only work in NULL.
	* gst/gstcaps.c:
	  don't posion NULL caps
	* gst/gstelement.c: (gst_element_set_time):
	  add debugging statement
	* gst/gstelement.c: (gst_element_emit_found_tag),
	(gst_element_found_tag_func), (gst_element_found_tags):
	* gst/gstelement.h:
	  These functions take const taglists
	* gst/gstpad.c: (gst_pad_proxy_getcaps):
	  fix memleak
	* gst/gstpad.c: (gst_pad_event_default):
	  make more effort on handling discont and clocks, g_warn if everything
	  fails
	* gst/gststructure.c: (gst_structure_remove_fields),
	(gst_structure_remove_fields_valist):
	* gst/gststructure.h:
	  add gst_structure_remove_fields(_valist)
	* gst/gsttag.c:
	  fix doc glitch

2004-01-28  David Schleef  <ds@schleef.org>

	* docs/random/ds/element-checklist: Notes about gst_caps_to_string()
	* gst/registries/gstxmlregistry.c: (gst_xml_registry_save_caps):
	Fix memory leakage of gst_caps_to_string().

	Use GST_PTR_FORMAT instead of gst_caps_to_string():
	* gst/autoplug/gstsearchfuncs.c: (gst_autoplug_sp):
	* gst/autoplug/gstspideridentity.c: (spider_find_suggest),
	(gst_spider_identity_sink_loop_type_finding):
	* gst/elements/gsttypefind.c: (gst_type_find_element_have_type),
	(find_suggest):
	* gst/gstpad.c: (gst_pad_try_relink_filtered),
	(gst_pad_set_explicit_caps):
	* gst/parse/grammar.y:

2004-01-28  David Schleef  <ds@schleef.org>

	* configure.ac: Add detection for HAVE_PRINTF_EXTENSION and
	GST_PRINTF_EXTENSION_FORMAT_DEFINE.
	* docs/random/ds/0.9-suggested-changes: Notes from Company.
	* gst/gstcaps.c: (gst_caps_to_string): Add comment.
	* gst/gstconfig.h.in: Add define for GST_PTR_FORMAT
	* gst/gstinfo.c: (_gst_debug_init), (gst_debug_print_object),
	(gst_debug_log_default), (_gst_info_printf_extension),
	(_gst_info_printf_extension_arginfo):  Add printf extension.
	* gst/gstinfo.h: remove G_GNUC_PRINTF, because it doesn't work with %P
	* gst/gststructure.c: (gst_structure_to_string),
	(_gst_structure_parse_value): Use gst_value_deserialize() and
	remove old code.
	* gst/gstvalue.c: (gst_value_deserialize_fourcc),
	(gst_value_deserialize_boolean), (gst_strtoi),
	(gst_value_deserialize_int), (gst_value_deserialize_double),
	(gst_value_deserialize_string), (gst_value_deserialize): Implement
	a bunch of deserialize functions and gst_value_deserialize.
	* gst/gstvalue.h: er, _de_serialize, not unserialize
	* testsuite/caps/string-conversions.c: (main): We don't currently
	handle (float) in caps, so convert these to (double).
	* testsuite/debug/Makefile.am: Add new test for the printf extension
	* testsuite/debug/printf_extension.c: (main): same

2004-01-28  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* docs/random/company/time:
	  Add some docs about clocking and time

2004-01-28  Julien MOUTTE <julien@moutte.net>

	* docs/pwg/advanced-interfaces.xml: Adding XOverlay documentation.

2004-01-28  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/pwg/advanced-clock.xml:
	* docs/pwg/advanced-dparams.xml:
	* docs/pwg/advanced-events.xml:
	* docs/pwg/advanced-interfaces.xml:
	* docs/pwg/advanced-midi.xml:
	* docs/pwg/advanced-request.xml:
	* docs/pwg/advanced-scheduling.xml:
	* docs/pwg/advanced-tagging.xml:
	* docs/pwg/advanced-types.xml:
	* docs/pwg/appendix-checklist.xml:
	* docs/pwg/building-boiler.xml:
	* docs/pwg/building-chainfn.xml:
	* docs/pwg/building-filterfactory.xml:
	* docs/pwg/building-pads.xml:
	* docs/pwg/building-props.xml:
	* docs/pwg/building-signals.xml:
	* docs/pwg/building-state.xml:
	* docs/pwg/building-testapp.xml:
	* docs/pwg/intro-basics.xml:
	* docs/pwg/intro-preface.xml:
	* docs/pwg/other-autoplugger.xml:
	* docs/pwg/other-sink.xml:
	* docs/pwg/other-source.xml:
	* docs/pwg/titlepage.xml:
          fix up id's

2004-01-28  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/95NonPath:
	* docs/HACKING:
	* docs/README:
	* docs/building-the-docs-on-debian:
          collect relevant bits of doc info

2004-01-28  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* docs/pwg/advanced_tagging.xml:
	  Half-assed commit so Thomas can re-arrange document IDs here to be
	  consistent, too.

2004-01-28  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/manual/autoplugging.xml:
	* docs/manual/bins-api.xml:
	* docs/manual/bins.xml:
	* docs/manual/buffers-api.xml:
	* docs/manual/buffers.xml:
	* docs/manual/clocks.xml:
	* docs/manual/components.xml:
	* docs/manual/cothreads.xml:
	* docs/manual/debugging.xml:
	* docs/manual/dparams-app.xml:
	* docs/manual/dynamic.xml:
	* docs/manual/elements-api.xml:
	* docs/manual/elements.xml:
	* docs/manual/factories.xml:
	* docs/manual/gnome.xml:
	* docs/manual/goals.xml:
	* docs/manual/helloworld.xml:
	* docs/manual/helloworld2.xml:
	* docs/manual/init-api.xml:
	* docs/manual/intro.xml:
	* docs/manual/links-api.xml:
	* docs/manual/links.xml:
	* docs/manual/manual.xml:
	* docs/manual/motivation.xml:
	* docs/manual/pads-api.xml:
	* docs/manual/pads.xml:
	* docs/manual/plugins-api.xml:
	* docs/manual/plugins.xml:
	* docs/manual/programs.xml:
	* docs/manual/queues.xml:
	* docs/manual/quotes.xml:
	* docs/manual/schedulers.xml:
	* docs/manual/states-api.xml:
	* docs/manual/states.xml:
	* docs/manual/threads.xml:
	* docs/manual/typedetection.xml:
	* docs/manual/xml.xml:
          use chapter, part, section or misc as id starts for all bits

2004-01-28  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/gst/gstreamer-sections.txt:
          Fix up TITLE of the sections

2004-01-28  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* docs/pwg/advanced_interfaces.xml:
	  Add documentation on propertyprobing.
	* docs/pwg/advanced_events.xml:
	* docs/pwg/advanced_tagging.xml:
	* docs/pwg/building_boiler.xml:
	* docs/pwg/building_filterfactory.xml:
	* docs/pwg/pwg.xml:
	  Move filterfactory and tagging into their own chapter, add a chapter
	  on events. all these are empty placeholders that will be filled in
	  some day.

2004-01-28  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* docs/pwg/advanced_interfaces.xml:
	  Docs for mixer interface. Also a check for website uploading.

2004-01-28  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/HACKING:
	* docs/Makefile.am:
	* docs/faq/Makefile.am:
	* docs/gst/Makefile.am:
	* docs/gst/tmpl/gstelement.sgml:
	* docs/gst/tmpl/gstplugin.sgml:
	* docs/gst/tmpl/gstreamer-unused.sgml:
	* docs/libs/Makefile.am:
	* docs/manual/Makefile.am:
	* docs/manuals.mak:
	* docs/pwg/Makefile.am:
	* docs/upload.mak:
          Separate out upload target and make it similar for
          both docbook and gtk-doc docs

2004-01-28  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/manuals.mak:
          Fix upload target to work with freedesktop

2004-01-28  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* docs/pwg/advanced_types.xml:
	  Add notes on creating your own types.
	* docs/pwg/building_boiler.xml:
	* docs/pwg/building_pads.xml:
	* docs/pwg/building_state.xml:
	  Add some stuff about how to retrieve values from structures, how
	  that relates to types and change layout slightly again to be almost
	  perfect.

2004-01-28  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* docs/pwg/advanced_dparams.xml:
	* docs/pwg/advanced_scheduling.xml:
	  Change index layout slightly.

2004-01-28  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* docs/pwg/advanced_clock.xml:
	* docs/pwg/advanced_interfaces.xml:
	* docs/pwg/advanced_midi.xml:
	  General placeholders for now.
	* docs/pwg/advanced_request.xml:
	  Explanation about sometimes and request pads.
	* docs/pwg/advanced_scheduling.xml:
	  Concept of bytestream, loopfunctions and schedulers.
	* docs/pwg/building_boiler.xml:
	  Add something about plugin-init.

2004-01-28  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/pwg/building_pads.xml:
          Fix broken docbook

2004-01-27  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* docs/pwg/advanced_interfaces.xml:
	* docs/pwg/pwg.xml:
	  Add as a placeholder for future filling-in.
	* docs/pwg/basics_autoplugging.xml:
	* docs/pwg/basics_buffers.xml:
	* docs/pwg/basics_elements.xml:
	* docs/pwg/basics_events.xml:
	* docs/pwg/basics_plugins.xml:
	* docs/pwg/basics_types.xml:
	  Remove, because unused (this is all in intro_basics.xml).
	* docs/pwg/building_signals.xml:
	  Short intro to signals + reference to GObject docs - we really
	  shouldn't go into these sort of things to deply because we don't
	  use them that extensively anyway.
	* docs/pwg/building_state.xml:
	  Explanation of states. Benjamin, please check.
	* docs/pwg/building_testapp.xml:
	  Put everything in one page - putting only a few lines of content
	  per page doesn't really make sense.

	  Time to get into the advanced topics. ;).

2004-01-27  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* docs/pwg/advanced_types.xml:
	  Finish documenting the current state of mimetypes.
	* docs/pwg/building_boiler.xml:
	* docs/pwg/building_chainfn.xml:
	* docs/pwg/building_pads.xml:
	* docs/pwg/building_props.xml:
	* docs/pwg/building_testapp.xml:
	  Start documenting the "how to build a simple audio filter" part
	  of the PWG. Most stuff is ready by now. Stuff remaining: signals,
	  states and (maybe?) a short introduction to capsnego in the chapter
	  on pads (building_pads.xml). Capsnego should probably be explained
	  fully in advanced_capsnego.xml or so.

2004-01-26  David Schleef  <ds@schleef.org>

	* gst/gstpad.c: (gst_pad_try_set_caps_nonfixed):
	* gst/gstpad.h: Add new function to allow element to (somewhat)
	specify non-fixed caps on a pad.
	* gst/gstqueue.c: (gst_queue_chain): Remove noisy g_object_notify()
	that I added a few weeks ago.

2004-01-26  David Schleef  <ds@schleef.org>

	* gst/gstpad.c: (gst_pad_try_set_caps): Revert last change
	  making try_set_caps() work with non-fixed caps.

2004-01-26  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* docs/pwg/advanced_types.xml:
	* docs/pwg/intro_basics.xml:
	* docs/pwg/intro_preface.xml:
	* docs/pwg/pwg.xml:
	* docs/pwg/titlepage.xml:
	  First try to resurrect the PWG. I'm halfway integrating the mimetypes
	  in here (docs/random/mimetypes), and will from there on work on both
	  updating outdated parts and adding missing parts.
	  That doesn't mean I'll fix it completely, but I'll try at least. ;).

2004-01-26  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gsterror.h: reinstate GST_LIBRARY_ERROR_ENCODE until
          policy is set

2004-01-26  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/gstelement.h:
	  remove gst_element_factory_get_version. It doesn't exist anymore.
	* gst/gstplugin.c:
	* gst/gstplugin.h:
	  remove gst_plugin_set_name and change gst_plugin_get_longname to
	  gst_plugin_get_description to match code.
	* gst/gsterror.h:
	  remove GST_LIBRARY_ERROR_ENCODE. It's GST_STREAM_ERROR_ENCODE.
	* gst/gstpad.c: (gst_pad_try_set_caps):
	  make it work with nonfixed caps.
	  Note that even in the nonfixed case the link function of the pad
	  that tries to set caps isn't called.

2004-01-25  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/elements/gstbufferstore.c: (gst_buffer_store_get_buffer):
	  fix bug where buffer was not assembled correctly
	* gst/elements/gsttee.c: (gst_tee_class_init), (gst_tee_init):
	  silence by default
	* gst/elements/gsttypefind.c: (gst_type_find_element_chain):
	  only seek if there's no more buffers that could work without seeking

2004-01-23  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* gst/gsttag.c: (_gst_tag_initialize):
	* gst/gsttag.h:
	  Add application tag (for encoding/muxing app).

2004-01-23  Thomas Vander Stichele  <thomas at apestaart dot org>

	* autogen.sh:
          make autopoint force, and libtoolize not copy
	* common/m4/as-docbook.m4:
          added docbook xml catalog setup check
	* common/m4/gst-doc.m4:
          use docbook check

2004-01-22  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gsttag.c: (_gst_tag_initialize), (gst_tag_register):
	* gst/gsttag.h:
          add GstTagFlag

2004-01-20  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/gst/gstreamer-sections.txt:
	* docs/gst/tmpl/gst.sgml:
	* docs/gst/tmpl/gstbuffer.sgml:
	* docs/gst/tmpl/gstclock.sgml:
	* docs/gst/tmpl/gstelement.sgml:
	* docs/gst/tmpl/gstreamer-unused.sgml:
	* docs/gst/tmpl/gstxml.sgml:
          sync latest API changes to docs

2004-01-20  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gstpluginfeature.c:
          fix doc snippet
	* tools/gst-inspect.c: (print_element_list):
          fix output of typefind
          add GPL header
	* tools/gst-launch.c:
          add GPL header

2004-01-20  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/elements/Makefile.am:
	* gst/elements/gstelements.c:
	* gst/elements/gsttypefindelement.c:
	* gst/elements/gsttypefindelement.h:
	* po/POTFILES.in:
	* po/fr.po:
	* po/nl.po:
          renamed gsttypefindelement to gsttypefind, conserving CVS history

2004-01-20  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gsttag.c: (_gst_tag_initialize), (gst_tag_list_add_valist):
	* gst/gsttag.h:
          add some tags used in ogg as well
          fix _ in replaygain tags

2004-01-20  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gsterror.h:
          fix wrong GST_LIBRARY_ERROR_ENCODE addition

2004-01-20  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gstelement.c: (gst_element_error_full):
	* gst/gstelement.h:
          change _extended to _full

2004-01-20  Thomas Vander Stichele  <thomas at apestaart dot org>

	reviewed by: <delete if not using a buddy>

	* docs/gst/tmpl/gst.sgml:
	* docs/gst/tmpl/gstbuffer.sgml:
	* docs/gst/tmpl/gstclock.sgml:
	* docs/gst/tmpl/gstelement.sgml:
	* docs/gst/tmpl/gstreamer-unused.sgml:
	* docs/gst/tmpl/gstxml.sgml:
	* gst/gstelement.c: (gst_element_error_full):
	* gst/gstelement.h:

2004-01-20  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gstelement.h: fix _gst_element_error_printf prototype

2004-01-20  David Schleef  <ds@schleef.org>

	* gst/gststructure.c: (gst_structure_to_string):
	Convert function to use gst_value_serialize().
	* gst/gstvalue.c: (gst_value_serialize_list),
	(gst_value_serialize_fourcc), (gst_value_serialize_int_range),
	(gst_value_serialize_double_range), (gst_value_serialize_boolean),
	(gst_value_serialize_int), (gst_value_serialize_double),
	(gst_string_wrap), (gst_value_serialize_string),
	(gst_value_serialize), (gst_value_deserialize):
	* gst/gstvalue.h:
	Add implementations for serialize.

2004-01-20  Julien MOUTTE  <julien@moutte.net>

	* gst/gsterror.h: xvidenc.c needs GST_LIBRARY_ERROR_ENCODE. Dunno if
	we want to keep that one in the future or change xvidenc.c to use 
	another error.

2004-01-19  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gstelement.c: (_gst_element_error_printf):
	* gst/gstelement.h:
          privatise function

2004-01-19  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/random/error:
          doc explaining error system
	* gst/elements/gstfilesrc.c: (gst_filesrc_open_file):
          cleanup

2004-01-19  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gst-i18n-app.h:
	* gst/gst-i18n-lib.h:
          remove inclusion of config.h
	* po/POTFILES.in:
	* po/nl.po:
          add gst/gstelement.c

2004-01-19  Thomas Vander Stichele  <thomas at apestaart dot org>

	* po/nl.po: updated Dutch translation

2004-01-19  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gsterror.c: (_gst_core_errors_init),
	(_gst_library_errors_init), (_gst_resource_errors_init),
	(_gst_stream_errors_init):
        remove ending punctuation dots

2004-01-19  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/elements/gstfilesink.c: (gst_filesink_open_file):
	* gst/elements/gstfilesrc.c: (gst_filesrc_get_read):
	* gst/elements/gstmultidisksrc.c: (gst_multidisksrc_open_file):
	* gst/elements/gstpipefilter.c: (gst_pipefilter_get),
	(gst_pipefilter_chain), (gst_pipefilter_open_file):
        use GST_ERROR_SYSTEM

2004-01-19  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gstelement.c: (gst_element_error_printf),
	(gst_element_error_extended):
	* gst/gstelement.h:
          add a helper printf function so we can have NULL values passed.

2004-01-19  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gstelement.h:
          add G_STMT macros to gst_element_error, which isn't strictly
          necessary but people tell me to anyway.

2004-01-18  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/Makefile.am:
	* gst/autoplug/gstspideridentity.c:
	(gst_spider_identity_sink_loop_type_finding):
	* gst/elements/gstfakesink.c: (gst_fakesink_change_state):
	* gst/elements/gstfilesink.c: (gst_filesink_open_file),
	(gst_filesink_close_file), (gst_filesink_handle_event),
	(gst_filesink_chain):
	* gst/elements/gstfilesrc.c: (gst_filesrc_set_property),
	(gst_filesrc_map_region), (gst_filesrc_get_read),
	(gst_filesrc_open_file):
	* gst/elements/gstidentity.c: (gst_identity_chain):
	* gst/elements/gstmultidisksrc.c: (gst_multidisksrc_open_file):
	* gst/elements/gstpipefilter.c: (gst_pipefilter_get),
	(gst_pipefilter_chain), (gst_pipefilter_open_file):
	* gst/elements/gsttypefindelement.c: (gst_type_find_element_chain):
	* gst/gst.h:
	* gst/gst_private.h:
	* gst/gstelement.c: (gst_element_class_init),
	(gst_element_default_error), (gst_element_error_func),
	(gst_element_error_extended):
	* gst/gstelement.h:
	* gst/gsterror.c: (_gst_core_errors_init),
	(_gst_library_errors_init), (_gst_resource_errors_init),
	(_gst_stream_errors_init), (gst_error_get_message):
	* gst/gsterror.h:
	* gst/gstinfo.c: (_gst_debug_init):
	* gst/gstmarshal.list:
	* gst/gstpad.c: (gst_pad_set_explicit_caps),
	(gst_pad_recover_caps_error), (gst_pad_pull):
	* gst/gstqueue.c: (gst_queue_chain), (gst_queue_get):
	* gst/schedulers/gstbasicscheduler.c:
	(gst_basic_scheduler_chainhandler_proxy),
	(gst_basic_scheduler_gethandler_proxy),
	(gst_basic_scheduler_cothreaded_chain):
	* po/POTFILES.in:
	* po/fr.po:
	* po/nl.po:
          change error signal
          add error categories

2004-01-18  Jeremy Simon  <jesimon@libertysurf.fr>

	* gst/gsttag.c: (_gst_tag_initialize):
	* gst/gsttag.h:
	Add replaygain tag

2004-01-18  Colin Walters  <walters@verbum.org>

	* examples/retag/retag.c: Call gst_init before processing
	program args.  Add g_assert to _link_many call.

2004-01-16  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/gstpad.c: (gst_pad_alloc_buffer):
	  Return a newly allocated buffer when the pad has no peer.

2004-01-16  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/gstclock.c: (gst_clock_get_time):
	  make it compile with gcc 2.95 again.
	  Patch by Scott Wheeler

2004-01-15  David Schleef  <ds@schleef.org>

	* gst/gstcaps.h:
	Added gst_caps_is_simple() macro.
	* testsuite/caps/caps.c: (test1):
	* testsuite/caps/intersect2.c: (main):
	* testsuite/caps/intersection.c: (main):
	Fixes to make 'make check' work again after removing
	gst_caps_is_chained().

2004-01-15  Leif Johnson <leif@ambient.2y.net>

	* docs/random/uraeus/gstreamer_and_midi.txt: Rather large edits
	and additions to the MIDI document.

2004-01-15  David Schleef  <ds@schleef.org>

	* gst/gstelement.c: (gst_element_get_compatible_pad_filtered),
	(gst_element_link_pads_filtered): Use GST_PAD_ macros instead
	of GST_RPAD_, since we don't know if it's a real or ghost pad.

2004-01-15  David Schleef  <ds@schleef.org>

	* gst/gstqueue.c:
	* gst/gstqueue.h:
	Fix the spelling of "treshold" and make min_threshold actually
	affect the queue.

2004-01-15  David Schleef  <ds@schleef.org>

	* gst/gstcaps.c:
	Add lots of documentation.
	* gst/gstcaps.h:
	Deprecate a few functions.
	* gst/gstpad.c:
	Removed use of deprecated functions.

2004-01-15  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/gstpad.c: (gst_pad_is_linked):
	* gst/gstpad.h:
	  implement gst_pad_is_linked
	* gst/gstelement.h:
	  reserve space for initiate_state_change

2004-01-15  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/autoplug/gstspideridentity.c:
	(gst_spider_identity_sink_loop_type_finding):
	  break infinite loop by just returning instead of looping
	* gst/gstclock.c: (gst_clock_class_init), (gst_clock_set_property):
	  set event time difference correctly. Set it to 1 second instead
	  of 100ms to be more tolerant
	* gst/gstelement.c: (gst_element_set_time):
	  add debugging output

2004-01-14  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/gstqueue.c: (gst_queue_getcaps), (gst_queue_link):
	  query if buffers are inside the pool, ignore events

2004-01-13  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/gstclock.c: (gst_clock_class_init), (gst_clock_init),
	(gst_clock_set_speed), (gst_clock_set_active),
	(gst_clock_is_active), (gst_clock_reset),
	(gst_clock_handle_discont):
	* gst/gstclock.h:
	  deprecate old interface and disable functions that aren't in use
	  anymore.
	* gst/gstelement.h:
	* gst/gstelement.c: (gst_element_get_time), (gst_element_wait),
	(gst_element_set_time), (gst_element_adjust_time):
	  add concept of "element time" and functions to get/set this time.
	* gst/gstelement.c: (gst_element_change_state):
	  update element time correctly.
	* gst/gstelement.c: (gst_element_get_compatible_pad_filtered):
	  This is a debug message, not a g_critical.
	* gst/gstpad.c: (gst_pad_event_default):
	  handle discontinuous events right with element time.
	* gst/gstscheduler.c: (gst_scheduler_state_transition):
	  update to clocking fixes.
	  set clocks on elements in READY=>PAUSED. The old behaviour caused
	  a wrong element time on the first element that started playing.
	* gst/schedulers/gstbasicscheduler.c:
	(gst_basic_scheduler_class_init):
	* gst/schedulers/gstoptimalscheduler.c:
	(gst_opt_scheduler_class_init):
	  remove code that just implements the default behaviour.
	* gst/elements/gstfakesink.c: (gst_fakesink_chain):
	  update to use new clocking functions
	* testsuite/clock/clock1.c: (gst_clock_debug), (main):
	* testsuite/clock/clock2.c: (gst_clock_debug), (main):
	  update to test new element time.
	* gst/autoplug/gstspideridentity.c: (gst_spider_identity_getcaps):
	  use _get_allowed_caps instead of _get_caps. This catches filtered
	  caps correctly.
	* testsuite/debug/commandline.c:
	  update for new GST_DEBUG syntax.
	* testsuite/threads/Makefile.am:
	  disable a test that only works sometimes.

2004-01-13  Julien MOUTTE <julien@moutte.net>

	* po/LINGUAS: Adding fr.
	* po/fr.po: Adding french translation.

2004-01-13  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/parse/grammar.y:
	* po/POTFILES.in:
	* po/nl.po:
	* tools/gst-launch.c: (xmllaunch_parse_cmdline), (main):
          translate parsing error messages

2004-01-13  Thomas Vander Stichele  <thomas at apestaart dot org>

	* po/POTFILES.in: adding gst-launch
	* po/nl.po: updated translation, all 99 strings translated
	* tools/gst-launch.c: (idle_func), (xmllaunch_parse_cmdline),
	(found_tag), (sigint_handler_sighandler), (play_handler), (main):
          fix strings for translation

2004-01-13  Thomas Vander Stichele  <thomas at apestaart dot org>

        * gst/gst.c:
          - capitalize beginnings of popt options
          - fix strings for translation
          - change gst-debug format from =N1=V1:N2=V2 to =N1:V1,N2:V2

2004-01-13  Thomas Vander Stichele  <thomas at apestaart dot org>

	* po/README: add some notes on how to update translations

2004-01-13  Thomas Vander Stichele  <thomas at apestaart dot org>

	* ABOUT-NLS: removed, is autogenerated from autopoint
	* autogen.sh: add autopoint stuff
	* configure.ac: fix up gettext stuff
	* gst/Makefile.am: add i18n headers to noinst_HEADERS
	* gst/elements/gsttypefindelement.c: add header include
	* gst/gettext.h: add header, copy from system-installed header
        * gst/gst-i18n-app.h: to be included by each app having translations
        * gst/gst-i18n-lib.h: to be included by each lib having translations
	* gst/gst.c: (init_pre): fix up gettext calls
	* gst/gst_private.h: remove i18n stuff, moving to separate headers
	* po/LINGUAS: the new way to specify translations present
	* po/Makefile.in.in: removed from cvs, autogenerated from autopoint
	* po/Makevars: the variables filled in for GStreamer
	* po/POTFILES.in: added new files with translations
	* po/de.po: has new strings
	* po/nl.po: readded, has new strings

2004-01-13  Thomas Vander Stichele  <thomas at apestaart dot org>

        * gst/gsttag.c: fix some strings marked for translation

2004-01-13  Iain <iain@prettypeople.org>

	* gst/schedulers/gstoptimalscheduler.c (add_to_group): Reference the
	group when we add an element to it, cos we unref it when we remove one

2004-01-12  Thomas Vander Stichele  <thomas at apestaart dot org>

	* testsuite/debug/commandline.c: (debug_not_reached):
	* testsuite/debug/output.c: (check_message):
          fix testsuite

2004-01-12  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* examples/cutter/.cvsignore:
	* examples/helloworld/.cvsignore:
	* examples/launch/.cvsignore:
	* examples/manual/.cvsignore:
	* examples/mixer/.cvsignore:
	* examples/pingpong/.cvsignore:
	* examples/plugins/.cvsignore:
	* examples/queue/.cvsignore:
	* examples/queue2/.cvsignore:
	* examples/queue3/.cvsignore:
	* examples/queue4/.cvsignore:
	* examples/retag/.cvsignore:
	* examples/thread/.cvsignore:
	* examples/typefind/.cvsignore:
	* examples/xml/.cvsignore:
	* gst/.cvsignore:
	* gst/autoplug/.cvsignore:
	* gst/elements/.cvsignore:
	* gst/indexers/.cvsignore:
	* gst/parse/.cvsignore:
	* gst/registries/.cvsignore:
	* gst/schedulers/.cvsignore:
	* libs/gst/bytestream/.cvsignore:
	* libs/gst/control/.cvsignore:
	* libs/gst/getbits/.cvsignore:
	* tests/.cvsignore:
	* tests/bufspeed/.cvsignore:
	* tests/instantiate/.cvsignore:
	* tests/memchunk/.cvsignore:
	* tests/muxing/.cvsignore:
	* tests/sched/.cvsignore:
	* tests/seeking/.cvsignore:
	* tests/threadstate/.cvsignore:
	* testsuite/.cvsignore:
	* testsuite/caps/.cvsignore:
	* testsuite/cleanup/.cvsignore:
	* testsuite/dynparams/.cvsignore:
	* testsuite/plugin/.cvsignore:
	* tools/.cvsignore:
	  update - this is huge, because it includes *.bb, *.bbg and *.da files
	  which are generated for gcov.

2004-01-11  David Schleef  <ds@schleef.org>

	* gst/gststructure.c: (gst_strtoi), (gst_value_from_string): Add
	a function to parse integers in ways that strto[u]l() does not.

2004-01-11  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* tools/gst-inspect.c: (print_caps):
	  improve output of caps a bit

2004-01-11  David Schleef  <ds@schleef.org>

	* gst/gstbuffer.c: (gst_buffer_create_sub): Subbuffers should
	inherit correct flags (READONLY and DONTKEEP).

2004-01-11  David Schleef  <ds@schleef.org>

	* gst/elements/gstfilesrc.c: (gst_filesrc_free_parent_mmap),
	(gst_filesrc_map_region):
	* gst/gstbuffer.c: (_gst_buffer_initialize),
	(_gst_buffer_sub_free), (gst_buffer_default_copy),
	(gst_buffer_new), (gst_buffer_create_sub),
	(gst_buffer_is_span_fast), (gst_buffer_span):
	* gst/gstbuffer.h:
	Change GstBuffer private structure element names. (all files)
	* gst/gstqueue.c: (gst_queue_init), (gst_queue_getcaps),
	(gst_queue_link):
	* gst/gstqueue.h:
	Implement getcaps/pad_link functions that handle the case where
	there are data in the queue.

2004-01-11  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/elements/gstbufferstore.c:
	  initialize debugging structure correctly
	* gst/elements/gsttee.c: (gst_tee_set_property):
	  g_object_notify when property was changed
	* gst/elements/gsttypefindelement.c:
	(gst_type_find_element_change_state):
	  clear caps correctly

2004-01-11  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/gstqueue.c: (gst_queue_init):
	  Use better defaults for when a queue should block. This
	  gets rid of jerky playback for quite a few files.
	  It takes more memory.

2004-01-10  Thomas Vander Stichele  <thomas at apestaart dot org>

	(gst_xml_registry_parse_padtemplate):
          make critical message slightly more useful

2004-01-10  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/gstinfo.c: (gst_debug_log), (gst_debug_log_valist),
	(gst_debug_message_get), (gst_debug_log_default):
	* gst/gstinfo.h:
	  Change gst_debug_log(_valist) to take a const format string.
	  Change prototype of log function and functions using those to 
	  take a GstDebugMessage instead of a string that requires using
	  gst_debug_message_get.

2004-01-08  David Schleef  <ds@schleef.org>

	* Makefile.am:
	* configure.ac:
	Add option --enable-gcov to build GStreamer with -fprofile-arcs
	and -ftest-coverage, which allows gcov to show information about
	testsuite coverage.

2004-01-08  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/gstutils.h:
	  Add GST_BOILERPLATE(_FULL), GST_PARENT_CALL and
	  GST_PARENT_CALL_WITH_DEFAULT
	* gst/elements/gstaggregator.c: 
	* gst/elements/gstbufferstore.c: 
	* gst/elements/gstfakesink.c: 
	* gst/elements/gstfakesrc.c: 
	* gst/elements/gstfdsink.c: 
	* gst/elements/gstfdsrc.c: 
	* gst/elements/gstfilesink.c: 
	* gst/elements/gstfilesrc.c: 
	* gst/elements/gstidentity.c: 
	* gst/elements/gstmd5sink.c: 
	* gst/elements/gstmultidisksrc.c:
	* gst/elements/gstpipefilter.c: 
	* gst/elements/gstshaper.c:
	* gst/elements/gststatistics.c:
	* gst/elements/gsttee.c:
	* gst/elements/gsttypefindelement.c:
	  use them.

2004-01-07  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/gst/gstreamer-docs.sgml: remove props
	* docs/gst/gstreamer-sections.txt: remove props
	* docs/gst/tmpl/gst.sgml:
	* docs/gst/tmpl/gstbin.sgml:
	* docs/gst/tmpl/gstbuffer.sgml:
	* docs/gst/tmpl/gstcaps.sgml:
	* docs/gst/tmpl/gstclock.sgml:
	* docs/gst/tmpl/gstelement.sgml:
	* docs/gst/tmpl/gstindex.sgml:
	* docs/gst/tmpl/gstobject.sgml:
	* docs/gst/tmpl/gstpad.sgml:
	* docs/gst/tmpl/gstpadtemplate.sgml:
	* docs/gst/tmpl/gstreamer-unused.sgml:
	* docs/gst/tmpl/gstthread.sgml:
	* docs/gst/tmpl/gstxml.sgml:
	  sync with code reorganization

2004-01-07  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/gstelement.c: (gst_element_get_compatible_pad_filtered):
	Make the 'Could not find compatible pad' message more informative.

2004-01-07  Ronald Bultje  <rbultje@ronald.bitfreak.net>
                                                                                
        * gst/elements/gstfilesink.c: (gst_filesink_set_location):
          Fix for if we pass NULL as property to location.
        * gst/elements/gstpipefilter.c: (gst_pipefilter_init),
        (gst_pipefilter_handle_event), (gst_pipefilter_chain):
          Fix for instantiate-test (see below).
        * gst/gststructure.c: (_gst_structure_parse_value):
          Fix compile error on gcc-2.96.
        * configure.ac:
        * tests/Makefile.am:
        * tests/instantiate/Makefile.am:
        * tests/instantiate/create.c: (create_all_elements), (main):
          Add a test that instantiates all elements. This makes it easy to
          track dead code for old API/design (like setting event functions
          on sink pads and so on).

2004-01-06  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/gstcaps.c: (gst_caps_append_structure):
	  Move the poisoning to allow a NULL structure
	* gst/gstevent.c: (_gst_event_free):
	  When freeing a navigation event, free the structure
	  also

2004-01-04  David Schleef  <ds@schleef.org>

	* gst/elements/gsttee.c: (gst_tee_init), (gst_tee_request_new_pad):
	Remove usage of gst_pad_proxy_fixate.
	* gst/gstcaps.c: (gst_caps_append), (gst_caps_append_structure),
	(gst_caps_split_one), (gst_caps_replace):
	Add poisoning code.
	* gst/gstmarshal.list:
	Add pointer__pointer for fixate signal
	* gst/gstpad.c: (gst_real_pad_class_init),
	(_gst_real_pad_fixate_accumulator), (gst_pad_link_fixate),
	(_gst_pad_default_fixate_func), (gst_pad_proxy_fixate),
	(gst_pad_set_explicit_caps), (gst_pad_template_new):
	Add poisoning code. Add fixate signal on RealPad. Change
	set_explicit_caps() to take const GstCaps, like try_set_caps().
	* gst/gstpad.h:
	* testsuite/caps/Makefile.am:
	* testsuite/caps/app_fixate.c: Add a test for the fixate signal

2004-01-03  David Schleef  <ds@schleef.org>

	* gst/elements/gsttypefindelement.c:
	(gst_type_find_element_have_type), (gst_type_find_element_init):
	Use gst_pad_use_explicit_caps for src pad.
	* gst/gstpad.c: (gst_pad_try_set_caps):  Check that link exists
	before using it.

2004-01-03  David Schleef  <ds@schleef.org>

	* gst/gstelement.c: (gst_element_link_pads_filtered),
	(gst_element_negotiate_pads): Fix to allow DELAYED to indicate
	that linking was successful.
	* gst/gstpad.c: (gst_pad_link_free),
	(gst_pad_link_call_link_functions), (gst_pad_link_negotiate),
	(gst_pad_link_try), (gst_pad_link_unnegotiate),
	(gst_pad_unnegotiate), (gst_pad_set_explicit_caps): Pass
	GstPadLinkReturn correctly between functions, and don't fail
	when DELAYED is used (DELAYED is very important).  Better
	cleanup on unlinking and unnegotiation.  Should fix some spider
	bugs.

2004-01-02  David Schleef  <ds@schleef.org>

	* gst/gstelement.c: (gst_element_class_init),
	(gst_element_base_class_init): ->padtemplates should be cleared
	in base_init, since we need to have a fresh list for every
	class.  (Alternately, we chould copy the list and share the
	actual pad templates (not the list), but that would require
	changing every plugin to move pad template registration from
	base_init to class_init.)

2004-01-03  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* gst/gstelement.c: (gst_element_class_add_pad_template):
	  Refuse registering a pad template if another pad template
	  with the same name already exists (#114715).

2004-01-02  David Schleef  <ds@schleef.org>

	* gst/gstcaps.c: (_gst_structure_is_equal_foreach),
	(gst_caps_is_equal_fixed): Add new function.
	* gst/gstcaps.h: ditto.
	* gst/gstpad.c: (gst_real_pad_class_init),
	(gst_pad_link_call_link_functions), (gst_pad_try_set_caps),
	(gst_pad_set_explicit_caps), (gst_pad_get_caps):  In try_set_caps,
	check new caps against existing caps -- if they're the same, return
	OK without renegotiating.  caps-nego-failed signal fixed so that
	the marshaller isn't VOID__OBJECT.  Also changed to G_TYPE_POINTER
	to save an extra caps copy.  Don't complete negotiation if a pad
	link function returns DELAYED.

2004-01-02  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/gstpad.c: (gst_pad_try_relink_filtered):
	  Fix wrong g_return_if_fail

2004-01-03  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/gstbin.c: (gst_bin_class_init):
	Change the marshalling of element_added/element_removed
	to use gst_marshal_VOID__OBJECT, since gst_marshal_VOID__POINTER 
	complains that GST_TYPE_ELEMENT is not G_TYPE_POINTER

2004-01-01  David Schleef  <ds@schleef.org>

	* gst/gstpad.c: (gst_pad_set_explicit_caps),
	(gst_pad_explicit_getcaps), (gst_pad_explicit_link),
	(gst_pad_use_explicit_caps):
	* gst/gstpad.h:
	Add new functions.  gst_pad_use_explicit_caps() sets up a pad
	to use an internal getcaps and link fuction so that negotiation
	always results in the explicitly set caps.
	gst_pad_set_explicit_caps() sets the explicit caps.  These functions
	are particularly useful for decoders.

2003-12-31  David Schleef  <ds@schleef.org>

	* gst/elements/gstidentity.c: (gst_identity_class_init),
	(gst_identity_init), (gst_identity_chain),
	(gst_identity_set_property), (gst_identity_get_property):
	* gst/elements/gstidentity.h:
	* gst/gstqueue.c: (gst_queue_init):
	  Negotiation fixes.

2003-12-31  David Schleef  <ds@schleef.org>

	* gst/gstcaps.c: (gst_caps_intersect),
	(_gst_caps_normalize_foreach), (gst_caps_normalize):
	  Implement gst_caps_normalize().
	* testsuite/caps/normalisation.c: (main):
	  Add an additional test

2003-12-31  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* gst/gstqueue.c: (gst_queue_init):
	  use gst_pad_proxy_getcaps()

2003-12-31  David Schleef  <ds@schleef.org>

	* gst/elements/gstshaper.c: (gst_shaper_link):
	* gst/elements/gsttee.c: (gst_tee_init), (gst_tee_request_new_pad):
	* gst/gstqueue.c: (gst_queue_link):
	  Negotiation fixes.

2003-12-31  David Schleef  <ds@schleef.org>

	* gst/gstpad.c: (gst_pad_proxy_pad_link), (gst_pad_proxy_fixate):
	* gst/gstpad.h: Add functions that are useful as default pad
	link and fixate functions for elements.

2003-12-30  David Schleef  <ds@schleef.org>

	* gst/gstpad.c: (gst_pad_link_try):
	  Fix segfault when attempting to return to old caps

2003-12-29  David Schleef  <ds@schleef.org>

	* gst/gstcaps.c: (gst_caps_normalize), (simplify_foreach),
	(gst_caps_structure_simplify), (gst_caps_simplify):
	* gst/gstcaps.h:
	  Add simplify function
	* gst/gstpad.c: (gst_pad_link_try), (gst_pad_try_set_caps),
	(gst_pad_perform_negotiate), (gst_pad_is_negotiated):
	* gst/gstpad.h:
	  Copy over srcnotify, sinknotify when calling old pad_link
	  functions.  Add new is_negotiated() function.
	* gst/gststructure.c: (gst_structure_copy):
	  Fix an incredibly stupid bug that should have been noticed
	  weeks ago.  _copy() returned the argument, not the new copy.

2003-12-27  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/gstcaps.c: (gst_caps_append):
	  add sanity checks
	* gst/gstcaps.h: (gst_caps_debug):
	  remove, it doesn't exist anymore.
	* gst/gstelement.c: (gst_element_threadsafe_properties_pre_run),
	(gst_element_threadsafe_properties_post_run):
	  make debugging messages not clutter up THREAD debug category
	(gst_element_negotiate_pads), (gst_element_clear_pad_caps),
	(gst_element_change_state):
	  update to new caps API
	* gst/gstinterface.c: (gst_implements_interface_cast):
	  don't put vital code in g_return_if_fail
	* gst/gstpad.c: (gst_pad_link_try), (gst_pad_try_set_caps), 
	(gst_pad_link_filtered):
	  add pst_pad_try_link and use it.
	(gst_pad_perform_negotiate), (gst_pad_renegotiate):
	  implement correctly, deprecate first one.
	(gst_pad_link_unnegotiate), (gst_pad_unnegotiate):
	  add and implement.
	(gst_pad_try_relink_filtered), (gst_pad_relink_filtered):
	  implement.
	(gst_pad_get_negotiated_caps):
	  add and implement. Make GST_PAD_CAPS call this function.
	(gst_pad_get_caps):
	  remove unneeded check..
	(gst_pad_recover_caps_error):
	  disable, always return FALSE.
	(gst_real_pad_dispose):
	  don't free caps and appfilter anymore, they're unused.
	* gst/gstpad.h:
	  Reflect changes mentioned above.
	* gst/gstsystemclock.c: (gst_system_clock_wait):
	  Make 'clock is way behind' a debugging message.
	* gst/gstthread.c: (gst_thread_change_state):
	  Fix debugging message

2003-12-25  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gstinfo.h:
          fix GST_DEBUG_CATEGORY_INIT gtk-doc description
	* docs/gst/tmpl/gstreamer-unused.sgml:
          removed all traces of cvs conflicts

2003-12-24  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	* gst/schedulers/cothreads_compat.h:
	* libs/Makefile.am:
          remove last instances of wingo cothread usage

2003-12-24  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gstplugin.c:
	* gst/gstversion.h.in:
	* gst/parse/grammar.y:
          change comment block from /** to /* when not gtk-doc comments

2003-12-24  Thomas Vander Stichele  <thomas at apestaart dot org>

        * gst/gst.c: whitespace and doc style fixes

2003-12-24  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/gstformat.h: remove trailing whitespace from enum for gtk-doc

2003-12-24  Colin Walters  <walters@verbum.org>

	* gst/elements/gsttypefindelement.c:
	  gst/elements/gsttypefindelement.h: Make GstCaps parameter const.
	  Copy caps parameter. Use _POINTER to marshal caps instead of _BOXED.
	  Don't double-free caps.

2003-12-23  David Schleef  <ds@schleef.org>

	* gst/gstelement.c, gst/gstpad.c, gst/parse/grammar.y,
	  gst/gstcaps.c, gst/autoplug/gstspideridentity.c:
	  Many little fixes and additions of debug statements to
	  get rhythmbox working.

2003-12-23  Colin Walters  <walters@verbum.org>

	* gst/autoplug/gstspideridentity.c (gst_spider_identity_sink_loop_type_finding):
	Use GST_PAD_LINK_SUCCESSFUL.

2003-12-23  David Schleef  <ds@schleef.org>

	* gst/elements/gstaggregator.c:
	* gst/elements/gsttee.c:
	  Use gst_pad_proxy_getcaps().
	* gst/gstpad.c:
	* gst/gstpad.h:
	  Add gst_pad_proxy_getcaps(), which filter elements can use
	  as a generic getcaps implementation.
	  Fix gst_pad_get_allowed_caps().  It just wasn't doing what
	  was advertised.

2003-12-23  David Schleef  <ds@schleef.org>

	* gst/gstpad.c:
	  Rearrange/rewrite much of the pad negotiation code, since it
	  resembled pasta.  This actually changes the way some
	  negotiation works, since the previous code was inconsistent
	  depending on how it was invoked.  Add (internal) structure
	  GstPadLink, which is used to hold some information (more in
	  the future) about the link between two pads.  Fixes a number
	  of bugs, including random lossage of filter caps when the
	  initial negotiation is delayed.  A few functions are still
	  unimplemented.
	* gst/gstpad.h:
	  Add GST_PAD_LINK_{SUCESSFUL|FAILED}() macros.  Please use
	  these when testing GstPadLinkReturn values instead of comparing
	  directly.

2003-12-23  David Schleef  <ds@schleef.org>

	* gst/gstvalue.c: 
	* gst/gstvalue.h:
	  Rearrange lots of code.  Change registration of compare function
	  into registration of compare/serialize/deserialize functions.
	  Doesn't include implementation of gst_value_[de]serialize(),
	  but that should be easy.

2003-12-23  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/gst/gstreamer-sections.txt:
	* docs/gst/tmpl/gstprops.sgml: removed
        * docs/gst/tmpl/gstreamer-bufferpool.sgml: removed
          David removed props and caps code, so let's remove their docs as well.
          Removed all no longer existing symbols from gstreamer-sections.txt
          
2003-12-22  Colin Walters  <walters@verbum.org>

	* gst/gsttaginterface.c, gst/gsttaginterface.h,
	  gst/gsttag.c, gst/gsttag.h:  Add interface to setting GValues
	  of tags directly.

2003-12-22  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/elements/gstelements.c:
	  Set ranks of elements to NONE, so the autoplugger doesn't use them.
	* gst/elements/gstshaper.c: (gst_shaper_getcaps):
	  Fix proxying to new CAPS stuff. Don't call get_allowed_caps but
	  gst_caps (peer).

2003-12-22  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/autoplug/gstsearchfuncs.c: (gst_autoplug_caps_intersect):
	* gst/autoplug/gstspideridentity.c: (gst_spider_identity_link),
	(gst_spider_identity_getcaps), (gst_spider_identity_change_state),
	(gst_spider_identity_sink_loop_type_finding):
	* gst/autoplug/gstspideridentity.h:
	  Fix autoplugging in spider element, so it works with new caps.
	  This was mainly caused by identifying empty caps incorrectly.

2003-12-22  David Schleef  <ds@schleef.org>

	* gststructure.c, gstvalue.c, gstvalue.h: Add
	  gst_value_init_and_copy() and use it, to avoid silly mistakes in
	  using g_value_copy()

2003-12-21  David Schleef  <ds@schleef.org>

	* many, many files: Merge CAPS branch.  This includes:
	  - implemention of GstValue and several GstValue types
	  - implemention of GstStructure
	  - entire rewrite of GstCaps
	  - removal of GstProps
	  - many changes to GstPad to compensate for new caps paradigm
	  - removal of GstBufferpool
	* gst/Makefile.am, gst/gst.h, gst/gstpad.h, gst/gsttypefind.h,
	gstvalue.h, gst/gstcaps[2]*.[ch]:
	  - rename gstcaps2.[ch] to gstcaps.[ch]

2003-12-21  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* gst/gstqueue.c: (gst_queue_handle_pending_events),
	(gst_queue_chain), (gst_queue_handle_src_event):
	  implement timeout for sending events. Workaround for if the
	  pipeline on this queue is not passing any data.

2003-12-21  Ronald Bultje <rbultje@ronald.bitfreak.net>
                                                                                
        * ChangeLog: moved to gstreamer/docs/random/old/ChangeLog.gstreamer
        * moved CVS to freedesktop.org

